<?php
include '../comunes_php/cors.php';


    $soloProducto = isset($_REQUEST['soloProducto']) ? $_REQUEST['soloProducto'] : '-1';
    $id = isset($_REQUEST['id']) ? intval($_REQUEST['id']) : -1;
    $tipo = isset($_REQUEST['tipo']) ? intval($_REQUEST['tipo']) : -1;
    $nombre = isset($_REQUEST['nombre']) ? $_REQUEST['nombre'] : '-1';

    include '../rdb/conn.php';
    $adicionales=array();


    if ($tipo <>-1) {$where .= " and tipo_producto_id = $tipo" ; }
    if ($nombre <>'-1') {$where .= " and nombre like '%$nombre%' "; }

    $sql= " select count(*) from productos where  1 ";
    if (isset($_GET['id'])) {
    $sql.=" and id=$id ";
    }
    $sql.=$where;

    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];
    
    $sql="select id,nombre,precio ,precio_financiado tarjeta,0 cantidad ,0 subtotal from productos p ,precio_productos pp where  pp.producto_id=p.id  ";
    if (isset($_GET['id'])) {
    $sql.=" and id=$id ";
    }
    $sql.=$where;
    $sql.=" order by id ";
    //echo ($sql);
    $rs = mysqli_query( $conn,$sql);
    
    $item = array();
    $items = array();
    while($row = mysqli_fetch_object($rs)){
        $children=array();
        $item['id']=$row->id;
        $item['nombre']=$row->nombre;
        $item['preciounitario']=$row->precio;
        $item['precio_tarjeta']=$row->tarjeta;
        
        $item['cantidad']=0;
        $item['subtotal']=0;


        //array_push($items, $row);
        
        if ($soloProducto==2) {
        $sql2 = "select concat(p.id,'.',a.id) id, a.nombre  , pa.precio preciounitario , 0 cantidad, 0 subtotal  ";
        $sql2 .= " from  productos p ,adicionales a,adicionales_por_producto ap, precio_adicionales pa " ;
        $sql2 .= " where p.id= ap.producto_id and a.id=ap.adicional_id and a.id=pa.adicional_id and p.id=pa.producto_id  and p.id= $row->id order by p.id,a.id ";
        
        $rs2 = mysqli_query( $conn,$sql2);
        
        while($row2 = mysqli_fetch_object($rs2)){
            array_push($children,$row2);
        }    
       
        $item['children']=$children;
        }
        
        $items[]=$item;

    }


    echo json_encode($items);    
    
    
?>